-- 2023-11-25 10:30
-- v1.3.3

use tuoheng_freeway;

-- 物联设备表表
create table th_iot_equipment
(
    id          varchar(36) default ''                not null comment '主键ID'  primary key,
    tenant_id   varchar(36) default '0'               not null comment '租户ID',
    dept_id     varchar(36)                           not null comment '部门ID',
    code        varchar(36)                           not null comment '设备编码',
    name        varchar(155)                          not null comment '设备名称',
    road_id     varchar(36)                           not null comment '公路ID',
    section_id  varchar(36)                           not null comment '路段ID',
    location    varchar(255)                          not null comment '位置',
    latitude    varchar(25)                           not null comment '纬度',
    longitude   varchar(25)                           not null comment '经度',
    play_url    varchar(255)                          not null comment '监控播放地址',
    status      tinyint     default 1                 null comment '状态：0:禁用;1:启用;',
    create_user varchar(36)                           null comment '创建人',
    create_time timestamp   default CURRENT_TIMESTAMP null comment '创建时间',
    update_user varchar(36)                           null comment '修改人',
    update_time timestamp   default CURRENT_TIMESTAMP null on update CURRENT_TIMESTAMP comment '修改时间',
    mark        tinyint     default 1                 null comment '有效标识(1正常 0删除)'
)
    comment '物联设备表' collate = utf8mb4_bin;
